Subject: Re: d80211: ieee80211_hw handlers in atomic context

From: Ivo van Doorn <[email-masked]>
Date: Thu, 5 Oct 2006 17:32:39 +0200

Hi,

> > This does not happen in rt2500usb driver, since no TSF handling is possible
> > due to a lack of TSF registers in the device.
> 
> This path would be fixed by my conversion patch of sta.timer into
> sta.work that I sent you yesterday privately. Unfortunately, I don't
> have a copy at hand ATM.

That is what I expect as well, I'll ask confirmation from the person who submitted this bug.

> What about the other timers? Can they trigger any sleeping service of
> rt2x00 drivers? Ok, waiting for a BUG is always possible... ;)

Well I currently have no time to check it, but can
config_interface handler still be called from interrupt context or has this also been fixed?

Ivo